xslt-examples/__relpipe-out-xml_xslt.sh
branchv_0
changeset 25 8e2d9b67b51c
child 29 509cac0cf411
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/xslt-examples/__relpipe-out-xml_xslt.sh	Sun Jan 05 17:02:37 2020 +0100
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# Relational pipes
+# Copyright © 2020 František Kučera (Frantovo.cz, GlobalCode.info)
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, version 3 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+DIR="$(dirname $0)"
+BASE="$(basename $0)"
+XSL="$DIR/$BASE.xsl"
+
+if [[ -f "$XSL" ]]; then
+	relpipe-out-xml | xsltproc "$XSL" -
+else
+	echo "unable to find XSLT template: $XSL" 1>&2
+	exit 1;
+fi